org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.Checkpointer

- java.lang.Object
- - org.apache.ignite.internal.util.worker.GridWorker
  - - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.Checkpointer

All Implemented Interfaces:
  Runnable

Enclosing class:
  GridCacheDatabaseSharedManager

    public class GridCacheDatabaseSharedManager.Checkpointer
    extends GridWorker

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.worker.GridWorker

`isCancelled, log`

### Constructor Summary

Constructors
`protected` `GridCacheDatabaseSharedManager.Checkpointer(String gridName, String name, IgniteLogger log)`

### Method Summary

Methods
`protected void` `body()` The implementation should provide the execution body for this runnable.
`void` `cancel()` Cancels this runnable interrupting actual runner.
`void` `shutdownNow()`
`IgniteInternalFuture` `wakeupForSnapshotCreation(SnapshotOperation snapshotOperation)`

### Methods inherited from class org.apache.ignite.internal.util.worker.GridWorker

`cleanup, igniteInstanceName, isCancelled, isDone, join, name, run, runner, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheDatabaseSharedManager.Checkpointer

    protected GridCacheDatabaseSharedManager.Checkpointer(@Nullable
                                               String gridName,
                                               String name,
                                               IgniteLogger log)

Parameters:
  `gridName` - Grid name.
  `name` - Thread name.
  `log` - Logger.

### Method Detail

#### body

    protected void body()
                 throws InterruptedException,
                        IgniteInterruptedCheckedException

The implementation should provide the execution body for this runnable.

Specified by:
  `body` in class `GridWorker`
Throws:
  `InterruptedException` - Thrown in case of interruption.
  `IgniteInterruptedCheckedException` - If interrupted.

#### wakeupForSnapshotCreation

    public IgniteInternalFuture wakeupForSnapshotCreation(SnapshotOperation snapshotOperation)

Parameters:
  `snapshotOperation` - Snapshot operation.

#### cancel

    public void cancel()

Cancels this runnable interrupting actual runner.

Overrides:
  `cancel` in class `GridWorker`

#### shutdownNow

    public void shutdownNow()

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017